Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface ClassificationNodeQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryObjectQueryType

All Known Implementing Classes:
  ClassificationNodeQueryTypeImpl

    public interface ClassificationNodeQueryType

extends RegistryObjectQueryType

A representation of the model object 'Classification Node Query Type'.

The following features are supported:

- `Classification Node Filter`
- `Classification Scheme Query`
- `Classification Node Parent Branch`
- `Classification Node Children Branch`

See Also:
  `QueryPackage.getClassificationNodeQueryType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getClassificationNodeChildrenBranch()` Returns the value of the 'Classification Node Children Branch' containment reference list.
`FilterType` | `getClassificationNodeFilter()` Returns the value of the 'Classification Node Filter' containment reference.
`ClassificationNodeQueryType` | `getClassificationNodeParentBranch()` Returns the value of the 'Classification Node Parent Branch' containment reference.
`ClassificationSchemeQueryType` | `getClassificationSchemeQuery()` Returns the value of the 'Classification Scheme Query' containment reference.
`void` | `setClassificationNodeFilter(FilterType value)` Sets the value of the '`Classification Node Filter`' containment reference.
`void` | `setClassificationNodeParentBranch(ClassificationNodeQueryType value)` Sets the value of the '`Classification Node Parent Branch`' containment reference.
`void` | `setClassificationSchemeQuery(ClassificationSchemeQueryType value)` Sets the value of the '`Classification Scheme Query`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryObjectQueryType
`getAuditableEventQuery, getClassifiedByBranch, getDescriptionBranch, getExternalIdentifierFilter, getNameBranch, getRegistryObjectFilter, getSlotBranch, getSourceAssociationBranch, getTargetAssociationBranch, setDescriptionBranch, setNameBranch, setRegistryObjectFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassificationNodeFilter

    FilterType getClassificationNodeFilter()

  Returns the value of the 'Classification Node Filter' containment reference.

  If the meaning of the 'Classification Node Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node Filter' containment reference.
  See Also:
    `setClassificationNodeFilter(FilterType)`, `QueryPackage.getClassificationNodeQueryType_ClassificationNodeFilter()`

### setClassificationNodeFilter

    void setClassificationNodeFilter(FilterType value)

  Sets the value of the '`Classification Node Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Node Filter' containment reference.
  See Also:
    `getClassificationNodeFilter()`

### getClassificationSchemeQuery

    ClassificationSchemeQueryType getClassificationSchemeQuery()

  Returns the value of the 'Classification Scheme Query' containment reference.

  If the meaning of the 'Classification Scheme Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Scheme Query' containment reference.
  See Also:
    `setClassificationSchemeQuery(ClassificationSchemeQueryType)`, `QueryPackage.getClassificationNodeQueryType_ClassificationSchemeQuery()`

### setClassificationSchemeQuery

    void setClassificationSchemeQuery(ClassificationSchemeQueryType value)

  Sets the value of the '`Classification Scheme Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Scheme Query' containment reference.
  See Also:
    `getClassificationSchemeQuery()`

### getClassificationNodeParentBranch

    ClassificationNodeQueryType getClassificationNodeParentBranch()

  Returns the value of the 'Classification Node Parent Branch' containment reference.

  If the meaning of the 'Classification Node Parent Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node Parent Branch' containment reference.
  See Also:
    `setClassificationNodeParentBranch(ClassificationNodeQueryType)`, `QueryPackage.getClassificationNodeQueryType_ClassificationNodeParentBranch()`

### setClassificationNodeParentBranch

    void setClassificationNodeParentBranch(ClassificationNodeQueryType value)

  Sets the value of the '`Classification Node Parent Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Node Parent Branch' containment reference.
  See Also:
    `getClassificationNodeParentBranch()`

### getClassificationNodeChildrenBranch

    org.eclipse.emf.common.util.EList getClassificationNodeChildrenBranch()

  Returns the value of the 'Classification Node Children Branch' containment reference list. The list contents are of type `ClassificationNodeQueryType`.

  If the meaning of the 'Classification Node Children Branch' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node Children Branch' containment reference list.
  See Also:
    `QueryPackage.getClassificationNodeQueryType_ClassificationNodeChildrenBranch()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD